##

This is the API

## createUser

This can only be done by the logged in user.

### URL

`/user`

### HTTP Method

`POST`

### Response Type

### Parameters

body : ()

Created user object

## createUsersWithArrayInput

### URL

`/user/createWithArray`

### HTTP Method

`POST`

### Response Type

### Parameters

body : ()

List of user object

## createUsersWithListInput

### URL

`/user/createWithList`

### HTTP Method

`POST`

### Response Type

### Parameters

body : ()

List of user object

## loginUser

### URL

`/user/login`

### HTTP Method

`GET`

### Response Type

String

### Parameters

username : ()

The user name for login

password : ()

The password for login in clear text

## logoutUser

### URL

`/user/logout`

### HTTP Method

`GET`

### Response Type

### Parameters

## getUserByName

### URL

`/user/{username}`

### HTTP Method

`GET`

### Response Type

User

### Parameters

username : ()

The name that needs to be fetched. Use user1 for testing.

## updateUser

This can only be done by the logged in user.

### URL

`/user/{username}`

### HTTP Method

`PUT`

### Response Type

### Parameters

username : ()

name that need to be deleted

body : ()

Updated user object

## deleteUser

This can only be done by the logged in user.

### URL

`/user/{username}`

### HTTP Method

`DELETE`

### Response Type

### Parameters

username : ()

The name that needs to be deleted